> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Vincular a um Produto

> Vincula de forma impositiva um Anúncio (Listing) cego a um Produto do catálogo interno (Product).

### Path

<ParamField path="id" type="string" required>UUID isolado do Anúncio.</ParamField>

### Body

<ParamField body="productId" type="string" required>
  UUID do produto mestre ao qual este anúncio irá amarrar estoque e precificação na governança do Hub.
</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "e4b6d4e8-8e6d-41da-abdb-8fc358a9e7f1",
    "productId": "cffbca85-da89-4b2a-aecf-31422abcb34a",
    "title": "Celular Smartphone Top de Linha"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml patch /listings/{id}/product
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /listings/{id}/product:
    patch:
      tags:
        - Listings
      operationId: ListingsController_linkProduct
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkProductDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    LinkProductDto:
      type: object
      properties:
        productId:
          type: string
          description: ID of the internal product to link
      required:
        - productId

````